Main Page | Modules | File List | File Members

# The Fix Functions
[The Function Definitions]

The Fix Callback functions. More...

## Functions
GSbool | MSClient_FixGameServerCB (MSClient_GameServerCB fFunction)
| Fix the GameServer Callback.
GSbool | MSClient_FixAlternateInfoCB (MSClient_AlternateInfoCB fFunction)
| Fix the AlternateInfo Callback.
GSbool | MSClient_FixErrorCB (MSClient_ErrorCB fFunction)
| Fix the Error Callback.
GSbool | MSClient_FixInitFinishedCB (MSClient_InitFinishedCB fFunction)
| Fix the InitFinished callback.
GSbool | MSClient_FixLoginDisconnectCB (MSClient_LoginDisconnectCB fFunction)
| Fix the LoginDisconnect callback.
GSbool | MSClient_FixLobbyDisconnectCB (MSClient_LobbyDisconnectCB fFunction)
| Fix the LobbyDisconnect callback.
GSbool | MSClient_FixRequestFinishedCB (MSClient_RequestFinishedCB fFunction)
| Fix the RequestFinished callback.
GSbool | MSClient_FixJoinFinishedCB (MSClient_JoinFinishedCB fFunction)
| Fix the JoinFinished callback.
GSbool | MSClient_FixAccountCreationCB (MSClient_AccountCreationCB fFunction)
| Fix the AccountCreation callback.
GSbool | MSClient_FixModifyAccountCB (MSClient_ModifyAccountCB fFunction)
| Fix the ModifyUser callback.
GSbool | MSClient_FixMatchStartedCB (MSClient_MatchStartedCB fFunction)
| Fix the Match Started callback.
GSbool | MSClient_FixSubmitMatchCB (MSClient_SubmitMatchCB fFunction)
| Fix the SubmitMatch callback.

## Detailed Description

These Functions are used to tell the library what callback function to use. If a callback doesn't have a function fixed to it then tha callback will be ignored.

## Function Documentation

GSbool MSClient_FixAccountCreationCB | ( | MSClient_AccountCreationCB | fFunction | ) |

  | Description: Tells the library what function to call when the Account Creation has finished. Returns: The success of the function Parameters:
  fFunction | The function to call

GSbool MSClient_FixAlternateInfoCB | ( | MSClient_AlternateInfoCB | fFunction | ) |

  | Description: Tells the library what function to call when a Game Server is received Returns: The success of the Function Parameters:
  fFunction | The function to call

GSbool MSClient_FixErrorCB | ( | MSClient_ErrorCB | fFunction | ) |

  | Description: Tells the library what function to call when an Error is received Returns: The success of the Function Parameters:
  fFunction | The Function to call

GSbool MSClient_FixGameServerCB | ( | MSClient_GameServerCB | fFunction | ) |

  | Description: Tells the library what function to call when a Game Server is received Returns: The success of the Function Parameters:
  fFunction | The function to call

GSbool MSClient_FixInitFinishedCB | ( | MSClient_InitFinishedCB | fFunction | ) |

  | Description: Tells the library what function to call when initialization has finsihed. Returns: The success of the Function Parameters:
  fFunction | The function to call

GSbool MSClient_FixJoinFinishedCB | ( | MSClient_JoinFinishedCB | fFunction | ) |

  | Description: Tells the library what function to call when the Game Server has been joined. Returns: The success of the function Parameters:
  fFunction | The function to call

GSbool MSClient_FixLobbyDisconnectCB | ( | MSClient_LobbyDisconnectCB | fFunction | ) |

  | Description: Tells the library what function to call when initialization has finsihed. Returns: The success of the Function Parameters:
  fFunction | The function to call

GSbool MSClient_FixLoginDisconnectCB | ( | MSClient_LoginDisconnectCB | fFunction | ) |

  | Description: Tells the library what function to call when initialization has finsihed. Returns: The success of the Function Parameters:
  fFunction | The function to call

GSbool MSClient_FixMatchStartedCB | ( | MSClient_MatchStartedCB | fFunction | ) |

  | Description: Tells the library what function to call when a match has been started. Returns: The success of the function Parameters:
  fFunction | The function to call

GSbool MSClient_FixModifyAccountCB | ( | MSClient_ModifyAccountCB | fFunction | ) |

  | Description: Tells the library what function to call when the Account Modification has finished. Returns: The success of the function Parameters:
  fFunction | The function to call

GSbool MSClient_FixRequestFinishedCB | ( | MSClient_RequestFinishedCB | fFunction | ) |

  | Description: Tells the library what function to call when the list of Game Servers has finished. Returns: The success of the function Parameters:
  fFunction | The function to call

GSbool MSClient_FixSubmitMatchCB | ( | MSClient_SubmitMatchCB | fFunction | ) |

  | Description: Tells the library what function to call when a SubmitMatch responce has been received Returns: The success of the function Parameters:
  fFunction | [Parameter description here]

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team